Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.msv.reader.trex.ng
Class ValueState

    java.lang.Object
      com.sun.msv.reader.State
          com.sun.msv.reader.SimpleState
              com.sun.msv.reader.ExpressionState
                  com.sun.msv.reader.ExpressionWithoutChildState
                      com.sun.msv.reader.trex.ng.ValueState

All Implemented Interfaces:
  org.xml.sax.ContentHandler

public class ValueState
extends ExpressionWithoutChildState

parses <value> pattern.

Author:
  Kohsuke KAWAGUCHI

Field Summary

Fields inherited from class com.sun.msv.reader.State
`reader`

Constructor Summary
`ValueState()`

Method Summary
`void` | `characters(char[] buf, int from, int len)`
`void` | `ignorableWhitespace(char[] buf, int from, int len)`

Methods inherited from class com.sun.msv.reader.SimpleState
`endDocument, endElement, startElement`

Methods inherited from class com.sun.msv.reader.State
`_assert, endPrefixMapping, getBaseURI, getLocation, getParentState, getStartTag, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValueState

    public ValueState()

Method Detail

### characters

    public void characters(char[] buf,
                           int from,
                           int len)

  Specified by:
    `characters` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `characters` in class `State`

### ignorableWhitespace

    public void ignorableWhitespace(char[] buf,
                                    int from,
                                    int len)

  Specified by:
    `ignorableWhitespace` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `ignorableWhitespace` in class `State`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD